ocs-url Original

Browser

Source (link to git-repo or to original if based on someone elses unmodified work): https://www.opencode.net/akiraohgaki/ocs-url

12
Score 67%
Description:

An install helper program for items served via OpenCollaborationServices (ocs://).

# How to Install the ocs-url

Download Linux package under "Files" tab, then install the package with your distros package manager.

Or install the downloaded package manually via terminal:

Ubuntu 14.04

$ sudo apt install libqt5svg5 qtdeclarative5-qtquick2-plugin qtdeclarative5-window-plugin qtdeclarative5-controls-plugin
$ sudo dpkg -i /path/to/ocs-url*.deb

Ubuntu 16.04

$ sudo apt install libqt5svg5 qml-module-qtquick-controls
$ sudo dpkg -i /path/to/ocs-url*.deb

Fedora 20

# yum install qt5-qtbase qt5-qtbase-gui qt5-qtsvg qt5-qtdeclarative qt5-qtquickcontrols
# rpm -i /path/to/ocs-url*.rpm

Fedora 22

# dnf install qt5-qtbase qt5-qtbase-gui qt5-qtsvg qt5-qtdeclarative qt5-qtquickcontrols
# rpm -i /path/to/ocs-url*.rpm

openSUSE 42.1

# zypper install libQt5Svg5 libqt5-qtquickcontrols
# rpm -i /path/to/ocs-url*.rpm

Arch Linux

# pacman -S qt5-base qt5-svg qt5-declarative qt5-quickcontrols
# pacman -U /path/to/ocs-url*.pkg.tar.xz

Last changelog:

3.1.0 9 months ago

* Drop old xdg:// and xdgs:// schemes
* Update library

Kryohi

1 month ago

+

Report

rolfen

1 month ago

I suggest and alternative install method. More details here:

https://askubuntu.com/questions/101651/how-to-install-themes-with-gnome-tweak-tool/1128098#1128098

sudo dpkg -i ocs-url_3.1.0-0ubuntu1_amd64.deb
sudo apt-get install --fix-broken

Report

sgrayban

1 month ago

- No 32bit source

Report

S

iznogud78

2 months ago

+

Report

pwrcul

2 months ago

I tried the Ubuntu 16.04 set of commands. The second one failed
The message was
The address wasn’t understood
Firefox doesn’t know how to open this address, because one of the following protocols (ocs) isn’t associated with any program or is not allowed in this context.
You might need to install other software to open this address.

I then tried the "install" button on the bottom left:
The address wasn’t understood
Firefox doesn’t know how to open this address, because one of the following protocols (ocs) isn’t associated with any program or is not allowed in this context.
You might need to install other software to open this address.
Advice appreciated.

Report

pwrcul

2 months ago

The first error message was
sudo dpkg -i /path/to/ocs-url*.deb
dpkg: error: cannot access archive '/path/to/ocs-url*.deb': No such file or directory

Report

dien16

3 months ago

+thanks

Report

jocixlinux

3 months ago

+

Report

SemajYelraf

4 months ago

I do not see installation instructions for Ubuntu 18.04.1? Is this latest version compatible with Bionic?

Report

rolfen

1 month ago

https://askubuntu.com/questions/101651/how-to-install-themes-with-gnome-tweak-tool/1128098#1128098

Report

rolfen

1 month ago

This method should work with any version of Ubuntu

Report

SpiritSPb

6 months ago

+

Report

Naocugo

9 months ago

+

Report

orboan

1 year ago

An rpm for Centos7? Both opensuse and fedora says format is not supported. Thanks

Report

3amatay

1 year ago

You have no authorisation for this page

Report

S

rvs75

1 year ago

Please try again. This was a bug and should be fixed.

Report

Zappes

1 year ago

Whenm I try to download the file, I get an error message telling me that I'm not authorized.

Report

S

rvs75

1 year ago

Please try again. This was a bug and should be fixed.

Report

Zappes

1 year ago

Indeed, the problem is gone. Thanks for fixing. :)

Report

goldenfreeman

1 year ago

me too...

Report

tatersandeggs

1 year ago

Is there an x86.deb available? Thanks

Report

Soyasi

1 year ago

Ocs-url-3.0.0-1.x86_64.rpm is empty at https://www.linux-apps.com/p/1136805/. The rpm is not generated correctly.

Thank you

Report

C

akiraohgaki

1 year ago

It was download server problem.
Currently, we fixed the download server, so the package is downloadable correctly.

Report

pavka

2 years ago

how to install this for debian 8 (jessie)
ocs-url_3.0.0-0ubuntu1_amd64.deb is not working

Report

eliiuslzr

2 years ago

No puedo instalar, me dice que la arquitectura es incorrecta.. La mia es i686 y no encuentro paquete que le corresponda. Ayuda!

Report

3.1.0 9 months ago

* Drop old xdg:// and xdgs:// schemes
* Update library

3.0.3 1 year ago

* Update library
* Fix spelling

3.0.2 1 year ago

* Add zh_TW translations (by s8321414)

3.0.1 1 year ago

* Update qtlib
* Fix for C++11
* Fix installation/download destination
* Fix translation messages (by otsoga)

3.0.0 1 year ago

* Rename xdgurl to ocs-url
* Add ocs:// and ocss:// schemes
* xdg:// and xdgs:// schemes still available for backward compatibile
* New app icon
* New dialog window
* Labels and messages are translatable
* Qt 5.2 support
* Use the same configs of install-types with ocsstore
* Add en_US translation
* Add ja_JP translation
* Add tr_TR translation (by tarakbumba)

File (click to download) Version Description PackagetypeArchitecture Downloads Date Filesize DL OCS-Install
1 Plings
*Needs ocs-url or ocs-store to install things
Details
license
GPLv3
version
3.1.0
updated Jul 05 2018
added Jul 07 2016
downloads today
360
page views today 907